/**
* DevExtreme (ui/themes.d.ts)
* Version: 20.2.3 (build 20305-1832)
* Build date: Sat Oct 31 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * An object that serves as a namespace for the methods that work with DevExtreme CSS Themes.
 */
export default class themes {
    /**
     * Gets the current theme's name.
     */
    static current(): string;
    /**
     * Sets a theme with a specific name.
     */
    static current(themeName: string): void;
    /**
     * Specifies a function to be executed after the theme is loaded.
     */
    static ready(callback: Function): void;
    /**
     * 
     */
    static initialized(callback: Function): void;
    static isMaterial(theme: string): boolean;
}
